WMEMCHR(3)

NAME
wmemchr - search a wide character in a wide-character array

SYNOPSIS
#include <wchar.h>

wchar_t *wmemchr(const wchar_t *s, wchar_t c, size_t n);

DESCRIPTION
The wmemchr() function is the wide-character equivalent of the memchr(3) function. It searches the n wide characters starting at s for the first occurrence of the wide character c.

RETURN VALUE
The wmemchr() function returns a pointer to the first occurrence of c among the n wide characters starting at s, or NULL if c does not occur among these.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

CONFORMING TO
POSIX.1-2001, POSIX.1-2008, C99.

SEE ALSO
memchr(3), wcschr(3)

COLOPHON
This page is part of release 4.16 of the Linux man-pages project. A description of the project, information about reporting bugs, and the latest version of this page, can be found at https://www.kernel.org/doc/man-pages/.